Java Update Failed...missing file bin\awt.dll cannot find

I went to java support center and Im under the impression I need to uninstall my older version of java and replace it with the new one. But when I go to my control panel in add/remove programs I have several versions of java. Here is the list:

J2SE Runtime Environment 5.0 Update 6...Size 152 MB, J2SE Runtime Environment 5.0 Update 9..Size 145 MB, Java(TM) 6 Update 20.... Size 97 MB, Jave(TM) 6 Update 5......136MB

My problem is that I dont know which one to remove if not remove them all. I really only need the file bin\awt.dll but the only way I see doing it so far is downloading the entire new program. If you have any other suggestions in getting that file it would help if not which program if not all of my java programs should I remove??

 

Thanks for the help! :)

 

Question Info


Last updated November 22, 2018 Views 1,834 Applies to:
Answer
Answer

Thank you for that information it helped me successfully complete my java update by installing Java(TM) 6 Update 22. I have one more question for you, I assume the J2SE Runtime Environment 5.0 Update 6...Size 152 MB snd J2SE Runtime Environment 5.0 Update 9..Size 145 MB are older versions should I remove them. The website you directed me too said I should only have the current version of java in my add/remove programs. I'm just afraid if I remove one of them something wont operate correctlly. I see you also have a Runtime Environment along with your Java(TM) Update do I need a Runtime Environment with my update.

I installed Java(TM) 6 Update 22 which was available at Java SE Runtime Environment 6 Update 22 so really I just want to know if I remove my other three java programs will my other programs still run fine off of just the Java(TM) 6 Update 22? Ugh

 

Thanks you so much for your help. I really appreciate it. :)

Did this solve your problem?

Sorry this didn't help.

Great! Thanks for marking this as the answer.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this response?

Thanks for your feedback.

Answer
Answer

Please see the following information, you have some old versions installed, what I have installed on my machine are Java(TM) 6 Update 20 AND Java(TM) SE Runtime Environment 6

Do You Need Java ? -Windows Live Community

Teching It Easy: With Windows |ActiveWin |Notebooks | Microsoft MVP
Best,
Andre
Windows Insider MVP
MVP-Windows and Devices for IT
twitter/adacosta
groovypost.com

Did this solve your problem?

Sorry this didn't help.

Great! Thanks for marking this as the answer.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this response?

Thanks for your feedback.